{% extends 'app/base.html' %}

{% block content %}
    <h2>Posts:</h2>
    {% for image in images %}
        <div class="container">
            <div class="row">
                <div class="col-md-2">
                    <img class="app-fit" src="{{ image.url }}" alt=""/>
                </div>
                <div class="col-md-10">

                    <div class="date">
                        <p class="red">
                            Score: {{ image.vote_score }};
                            Published: {{ image.pub_date }};
                            Comments: {{image.comment_set.count }}
                            {% if user.is_authenticated and image.user.id == user.id or user.is_superuser %}
                            <a href="{% url 'app:edit_image' image.id %}">Edit</a> | 
                            {% endif %}
                            {% include 'includes/delete_image_link.html' with image=image %}
                        </p>
                    </div>
                    <h2><a href="{% url 'app:detail' image.id %}">{{ image.title }} by {{ image.user.username }}</a>
                    </h2>
                    <p>{{ image.description|linebreaksbr }}</p>
                </div>
            </div>
        </div>
    {% endfor %}
    <h2>Comments: </h2>
    {% for comment in comments %}
        <div class="row">
        {% if comment.is_approved or user.is_superuser %}
            <div class="border comment">
            <p class="red">
                Author: {{ comment.author }} ({{comment.created_at}})
            </p>
            <p class="secondary">{{ comment.text }}</p>
            </div>
            {% include 'includes/like_button.html' with comment=comment %} 
        {% endif %}

        </div>
    {% endfor %}

{% endblock %}